#!/bin/sh

BASEDIR="$( dirname "$0" )"
cd "$BASEDIR"

ABSOLUTE_FOLDER_PATH=`pwd`
ABSOLUTE_BUILD_PATH="$ABSOLUTE_FOLDER_PATH"//build

# Build the real distribution that should install items in ~

/usr/local/bin/packagesbuild RealPackage.pkgproj

# Build the application wrapper

/bin/echo "building the Obj-c version, edit the build.sh script to build the Swift version"

#pushd app_wrapper_swift
pushd app_wrapper_obj-c

/usr/bin/xcodebuild clean build -configuration Release -scheme "app_wrapper" CONFIGURATION_BUILD_DIR="$ABSOLUTE_BUILD_PATH"

popd

exit 0